<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Nhúng thư viện boostrap -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>

    <title>Task 5.48</title>
</head>

<body onload="onPageLoading()">
    <h2 class="col-sm-6 text-center text-info">Giải phương trình bậc 2</h2>
    <p class="col-sm-6 text-center text-danger">Phương trình bậc 2 có 3 tham số a, b và c </p>
    <div>
        <label id="label-a" class="col-sm-2">Số a</label>
        <input id="inp-a" class="col-sm-4" type="number" placeholder="Nhập số a">
    </div>
    <br>
    <div>
        <label id="label-b"  class="col-sm-2">Số b</label>
        <input id="inp-b" class="col-sm-4" type="number" placeholder="Nhập số b">
    </div>
    <br>
    <div>
        <label id="label-c"  class="col-sm-2" >Số c</label>
        <input id="inp-c" class="col-sm-4" type="number" placeholder="Nhập số c">
    </div>
    <br>
    <div class="row">
    <p class="col-sm-2"></p>
    <button id="btn-tinhtoan" onclick="onBtnClick()" class="col-sm-3 text-center border border-2 border-info bg-info">Tìm nghiệm</button>
    </div>
    <br>
    <p id="result1">x</p>
    <p id="result2">y</p>
    <p id="result3">z</p>
</body>
<script>
    function onPageLoading() {
        var label1 = document.getElementById("label-a");
        var label2 = document.getElementById("label-b");
        var label3 = document.getElementById("label-c");
        var inp1 = document.getElementById("inp-a");
        var inp2 = document.getElementById("inp-b");
        var inp3 = document.getElementById("inp-c");
        console.log(inp1.id, inp1.placeholder);
        console.log(inp2.id, inp2.placeholder);
        console.log(inp3.id, inp3.placeholder);
        var vKetQua1 = document.getElementById("result1");
        var vKetQua2 = document.getElementById("result2");
        var vKetQua3 = document.getElementById("result3");
        vKetQua1.style.display = "none";
        vKetQua2.style.display = "none";
        vKetQua3.style.display = "none";

    }
    function onBtnClick() {
        var vKetQua1 = document.getElementById("result1");
        var vKetQua2 = document.getElementById("result2");
        var vKetQua3 = document.getElementById("result3");

        var inp1 = document.getElementById("inp-a");
        var a = inp1.value;
        var inp2 = document.getElementById("inp-b");
        var b = inp2.value;
        var inp3 = document.getElementById("inp-c");
        var c = inp3.value;
        var delta = (b * b) - (4 * a * c);
        var x1 = (-b + Math.sqrt(delta)) / (2 * a);
        var x2 = (-b - Math.sqrt(delta)) / (2 * a);
        if (isNaN(x1) || isNaN(x2)) {
            vKetQua1.innerHTML = "Tìm nghiệm của phương trình bậc 2";
            vKetQua1.style.display = "block";
        }
        else if (delta == 0) {
            vKetQua1.innerHTML = "Phương trình có nghiệm kép: x = " + x1;
            vKetQua1.style.color = "blue";
            vKetQua1.style.display = "block";
        }
        else if (delta > 0) {
            vKetQua1.innerHTML = "Phương trình có 2 nghiệm";
            vKetQua2.innerHTML = "x1 = " + x1;
            vKetQua3.innerHTML = "x2 = " + x2;
            vKetQua1.style.color = "green";
            vKetQua1.style.display = "block";
            vKetQua2.style.color = "green";
            vKetQua2.style.display = "block";
            vKetQua3.style.color = "green";
            vKetQua3.style.display = "block";
        }
        else if (delta < 0) {
            vKetQua1.innerHTML = "Phương trình vô nghiệm";
            vKetQua1.style.color = "red";
            vKetQua1.style.display = "block";
        }

    }

</script>

</html>